﻿import flash.external.*;

stop();

var lName:String = "Test Name"; //should be replaced by Student, Joe in the Test Suite
var firstNm:String;
var modeStatus:String;
var lessonStatus:String;
var yourScore:String;
var yourScoreSentence:String;
var priorPts:Number;
var priorPtsStr:String;

function getValuesFromLMS():Void
{
	modeStatus = String(ExternalInterface.call("giveNameValueToFlash","cmi.core.lesson_mode"));
	lName = String(ExternalInterface.call("giveNameValueToFlash","cmi.core.student_name"));
	lessonStatus = String(ExternalInterface.call("giveNameValueToFlash", "cmi.core.lesson_status"));
	priorPtsStr = String(ExternalInterface.call("giveNameValueToFlash","cmi.core.score.raw"));
	if (!isNaN(priorPtsStr))
	{
		yourScore = priorPtsStr+"%";
		priorPts = Number(priorPtsStr);
	}
	else priorPts = 0;
}

getValuesFromLMS();

finishText._visible = false;
nextStepText._visible = false;

function reportResultsToLMS(activityPoints:Number):Void
{
	if (activityPoints >priorPts)
		ExternalInterface.call("SCOSetValue","cmi.core.score.raw",activityPoints);
	if (activityPoints > 98)
		ExternalInterface.call("SCOSetValue","cmi.core.lesson_status","passed");
	else
	   ExternalInterface.call("SCOSetValue","cmi.core.lesson_status","incomplete");
	ExternalInterface.call("SCOCommit","");
	getValuesFromLMS();
	resultsTxt.text = firstNm + ", your score is " + priorPtsStr + "%.";
	resultsTxt._visible = true;
}

function findFirstName(learnerName:String):String
{  
  var commaPos:Number = learnerName.length;
  var lastNameFirst:Boolean = false;
  var spacePos:Number;
  var firstName:String;
  for (var i=0;i<learnerName.length;i++)
  {
    if (learnerName.charAt(i) == ",")
    {
      commaPos = i;
      lastNameFirst = true;
    }
    else if (learnerName.charAt(i) == " ")
    {
      if (lastNameFirst && i>commaPos+1)
        spacePos = i;
      else if (!lastNameFirst)
	spacePos = i;
    }
  }
  if (lastNameFirst)
    firstName = learnerName.substring(commaPos+1,spacePos);
  else
    firstName = learnerName.substring(0, spacePos);
  return firstName;
}

firstNm = findFirstName(lName);

if (isNaN(priorPtsStr))
  yourScoreSentence = " The Learning Managment System does not have a score for you.";
else
  yourScoreSentence = " Your current score is " + yourScore + ".";


greetingText.text = "Hello " + firstNm + ". You are in " + modeStatus + " mode.";
greetingText.text += yourScoreSentence;
greetingText.text += " Click 'Start Program' if you would like to run this program.";  
greetingText.text += " Click 'Finish Program' or close the program if you wish to exit.";

finishBtn.onRelease = function()
{
	ExternalInterface.call("SCOFinish","");
}
finishBtn.onRollOver = function()
{
	finishText._visible = true;
}
finishBtn.onRollOut = function()
{
	finishText._visible = false;
}
startProgBtn.onRollOver = function()
{
	nextStepText._visible = true;
}
startProgBtn.onRollOut = function()
{
	nextStepText._visible = false;
}
  